Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase
Class AbstractSolverPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractSolverPhase

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

Direct Known Subclasses:
  DefaultBruteForceSolverPhase, DefaultConstructionHeuristicSolverPhase, DefaultCustomSolverPhase, DefaultLocalSearchSolverPhase

    public abstract class AbstractSolverPhase

extends Object
implements SolverPhase

See Also:
  `DefaultLocalSearchSolverPhase`

Field Summary
`protected BestSolutionRecaller` | `bestSolutionRecaller`
`protected org.slf4j.Logger` | `logger`
`protected int` | `phaseIndex`
`protected SolverPhaseLifecycleSupport` | `solverPhaseLifecycleSupport`
`protected Termination` | `termination`

Constructor Summary
`AbstractSolverPhase()`

Method Summary
`void` | `addSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)`
`int` | `getPhaseIndex()`
`Termination` | `getTermination()`
`void` | `phaseEnded(AbstractSolverPhaseScope phaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope phaseScope)`
`void` | `removeSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)`
`void` | `setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)`
`void` | `setPhaseIndex(int phaseIndex)`
`void` | `setTermination(Termination termination)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.SolverPhase
`solve`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### phaseIndex

    protected int phaseIndex

### termination

    protected Termination termination

### bestSolutionRecaller

    protected BestSolutionRecaller bestSolutionRecaller

### solverPhaseLifecycleSupport

    protected SolverPhaseLifecycleSupport solverPhaseLifecycleSupport

Constructor Detail

### AbstractSolverPhase

    public AbstractSolverPhase()

Method Detail

### getTermination

    public Termination getTermination()

### getPhaseIndex

    public int getPhaseIndex()

### setPhaseIndex

    public void setPhaseIndex(int phaseIndex)

### setTermination

    public void setTermination(Termination termination)

### setBestSolutionRecaller

    public void setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(AbstractStepScope stepScope)

  Specified by:
    `stepStarted` in interface `SolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(AbstractStepScope stepScope)

  Specified by:
    `stepEnded` in interface `SolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`

### addSolverPhaseLifecycleListener

    public void addSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)

  Specified by:
    `addSolverPhaseLifecycleListener` in interface `SolverPhase`

### removeSolverPhaseLifecycleListener

    public void removeSolverPhaseLifecycleListener(SolverPhaseLifecycleListener lifecycleListener)

  Specified by:
    `removeSolverPhaseLifecycleListener` in interface `SolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.